Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1176 - updatedb cron job gives me an empty locatedb
Summary: updatedb cron job gives me an empty locatedb
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils
Version: 5.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-15 18:35 UTC by jay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-18 22:38:59 UTC


Attachments (Terms of Use)

Description jay 1999-02-15 18:35:16 UTC
the /etc/cron.daily job creates a valid locatedb in /tmp but
does not move it to the /var/lib/locatedb location.

It somehow creates an empty file in /var/lib

[root@texnet lib]# ls -al /var/lib/locatedb*
-rw-------   1 root     root            0 Feb 15 10:28
/var/lib/locatedb
[root@texnet lib]# ls -al /tmp/*
-rw-------   1 nobody   users      665408 Feb 15 10:31
/tmp/locatedb.a13148.n.a13181
[root@texnet lib]# rpm -q findutils
findutils-4.1-24

when I run the updatedb command as root the proper file is
created.

My 5.2 systems do not do this.

Comment 1 jay 1999-02-15 18:48:59 UTC
I'm a twit.  This system was converted from slackware to redhat
several months ago. I preserved my /etc/passwd and /etc/group files.
Apparently nobody was set to be # 65535, where RH expects it to be
#99  I guess some inherited permissions based on userid, etc.  I
diddled the passwd file to some semblance of RH ism et viola, c'est
marche.

Question though. Does this imply that the nobody user is _priviledged_
somehow?

Comment 2 Jeff Johnson 1999-02-18 22:38:59 UTC
Nobody is "privileged" only in the sense that uid's below some
small number (like 100 or 500) are usually assigned by a vendor.
Other conventions, such as nobody:x:65535:65535: are also common.


Note You need to log in before you can comment on or make changes to this bug.